// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package wiki

import (
	"context"

	"sundynix-micro-go/app/plant/api/internal/svc"
	"sundynix-micro-go/app/plant/api/internal/types"
	"sundynix-micro-go/app/plant/rpc/plant"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetWikiListLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

// 百科列表
func NewGetWikiListLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetWikiListLogic {
	return &GetWikiListLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *GetWikiListLogic) GetWikiList(req *types.WikiListReq) (interface{}, error) {
	result, err := l.svcCtx.PlantRpc.GetWikiList(l.ctx, &plant.WikiListReq{
		Current:  int32(req.Current),
		PageSize: int32(req.PageSize),
		Name:     req.Name,
		ClassId:  req.ClassId,
		IsHot:    int32(req.IsHot),
	})
	if err != nil {
		return nil, err
	}
	return map[string]interface{}{"list": result.List, "total": result.Total}, nil
}
